Subject: [rbridge] Ingress Rbridge address and BCN

From: kreeger at cisco.com (Larry Kreeger (kreeger))
Date: Fri, 27 Oct 2006 08:54:47 -0700

I have not been able to catch up on all the email of late, but Manoj
makes a very good point.  The combination of the "no-drop" behavior
provided by the 802.1au and the multipathing provided by TRILL would
make a very powerful combination for data center clustering
applications.  It would be extremely shortsighted for TRILL to be
designed in way such that hindered backward congestion notification.

802.1au returns the BCN to the source host by copying the source MAC to
the destination MAC of BCN.  RBridges in the center of the network
should be able to generate BCN frames back towards the source via the
originating source RBridge without doing a lookup on the internal source
MAC.

 - Larry

Wadekar, Manoj K wrote on Wednesday, October 25, 2006 7:06 PM:

> Hi,
> 
> 
> 
> New to TRILL mailing list. And hence catching up with lots of
> discussions about need for Ingress Rbridge address (and FTAG). 
> 
> 
> 
> I believe Datacenters are beginning to have large number of nodes in
> L2 network (scale-out clusters) and hence TRILL makes an attractive
> technology. At the same time fundamental enhancements in 802.1
> bridges are also required to ensure "no-drop" behavior in this large
> Ethernet network in Data Centers. So, Backward Congestion
> Notification (802.1au) and TRILL solutions need to work together.     
> 
> 
> 
> So, I think carrying Ingress Rbridge address in each packet is
> important for BCN. 
> 
> 
> 
> This will be used to generate the congestion notification to the
> appropriate ingress node. 
> 
> 
> 
> Thanks,
> 
> - Manoj